# $Id: xmms-alsa.spec,v 1.3 2003/07/18 14:02:27 dude Exp $

Summary: Advanced Linux Sound Architecture plugin for XMMS.
Name: xmms-alsa
Version: 0.9.12
Release: 1.fr
License: GPL
Group: Applications/Multimedia
Source: http://savannah.nongnu.org/download/alsa-xmms/alsa-xmms-%{version}.tar.gz
URL: http://savannah.nongnu.org/projects/alsa-xmms
Provides: alsa-xmms = %{version}-%{release}
Obsoletes: alsa-xmms < %{version}
Requires: xmms >= 1.2.5, alsa-lib
BuildRequires: xmms-devel >= 1.2.5, alsa-lib-devel, gtk+-devel
Buildroot: %{_tmppath}/%{name}-root

%description
Output plugin for XMMS that ads support for ALSA, the Advanced Linux Sound
Architecture.

%prep
%setup -q -n alsa-xmms-%{version}

%build
%configure
make %{?_smp_mflags}

%install
rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
rm -rf %{buildroot}

%files 
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog README
%exclude %(xmms-config --output-plugin-dir)/*.la
%(xmms-config --output-plugin-dir)/*.so

%changelog
* Fri Jul 18 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.12.

* Wed Jun 11 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.11.

* Fri May  2 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.10.
- Renamed xmms-alsa to keep more consistent in xmms plugins.

* Mon Mar 31 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Rebuilt for Red Hat Linux 9.
- Exclude .la file.
- Fix build order.

* Thu Feb 27 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.9b.

* Tue Nov  5 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.7.

* Sun Sep 29 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Update to 0.9.5.
- Rebuilt for Red Hat Linux 8.0.

* Tue Aug 27 2002 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Spec file cleanup.
- Fixed %%files section.
- Use xmms-config to get the plugin directory.

* Sun Jun 30 2002 Angles <angles@aminvestments.com>
- another build with cvs sources

* Sat Apr 6 2002 Angles <angles@phpgroupware.org>
- another build with cvs sources
- change name to alsa-xmms (was xmms-alsa)

* Thu Mar 31 2002 Angles <angles@phpgroupware.org>
- another build with cvs sources

* Thu Mar 14 2002 Angles <angles@phpgroupware.org>
- another build with cvs sources
- added edited the spec file

* Wed Feb 20 2002 Angles <angles@phpgroupware.org>
- first working build, used cvs checkout

